import math
import time

a, b = list(map(int, input().split()))

a = a // math.gcd(a, b)
b = b // math.gcd(a, b)

def plus(a, b):
    return [a[0] + b[0], a[1] + b[1]]

def get_d(s):
    now = [1, 1]
    sos_l = [0, 1]
    sos_r = [1, 0]

    for i in range(len(s)):
        if s[i] == 'L':
            sos_r = now
            now = plus(now, sos_l)

        else:
            sos_l = now
            now = plus(now, sos_r)

    return now

def convert(arr):
    res = []

    for num in arr:
        if num == 0:
            res.append('L')

        else:
            res.append('R')

    return res

def check(a, b):
    for an in ['L', 'R']:
        for bn in ['L', 'R']:
            for cn in ['L', 'R']:
                if get_d(an + bn + cn) == [a, b]:
                    print('R' + an + bn + cn)
                    return

check(a, b)